Bug 229489

Summary: Web Share tests are out of date
Product: WebKit Reporter: Marcos Caceres <marcos>
Component: New BugsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: aakash_jain, achristensen, clopez, commit-queue, drousso, ews-watchlist, ryanhaddad, thorton, webkit-bot-watchers-bugzilla, webkit-bug-importer, youennf
Priority: P2 Keywords: InRadar
Version: Other   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 229861    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Marcos Caceres 2021-08-25 01:32:54 PDT
Web Share tests from WPT are a bit out of date and could use an update.
Comment 1 Marcos Caceres 2021-08-25 01:35:32 PDT
Created attachment 436380 [details]
Patch
Comment 2 EWS Watchlist 2021-08-25 01:36:34 PDT
This patch modifies the imported WPT tests. Please ensure that any changes on the tests (not coming from a WPT import) are exported to WPT. Please see https://trac.webkit.org/wiki/WPTExportProcess
Comment 3 Marcos Caceres 2021-08-25 01:52:04 PDT
@thorton, note there seems to be a bug in URL::isValid (which I guess might mean a bug in the URLParser)... In particular, the URL "http://a.b:65536" should be treated marked as invalid.
Comment 4 Tim Horton 2021-08-25 02:19:20 PDT
Ccing Alex for that bit (but probably best to file a bug about it)
Comment 5 Marcos Caceres 2021-08-25 04:02:43 PDT
(In reply to Tim Horton from comment #4)
> Ccing Alex for that bit (but probably best to file a bug about it)

Filed https://bugs.webkit.org/show_bug.cgi?id=229490
Comment 6 Radar WebKit Bug Importer 2021-09-01 01:33:18 PDT
<rdar://problem/82617175>
Comment 7 Marcos Caceres 2021-09-02 18:29:22 PDT
Created attachment 437227 [details]
Patch
Comment 8 Marcos Caceres 2021-09-02 18:49:23 PDT
Updated the changelog to reflect reviewer. I'll need someone to cq+ this form me if it looks ok, as I don't have committer privileges.
Comment 9 Tim Horton 2021-09-02 18:52:57 PDT
(In reply to Marcos Caceres from comment #8)
> Updated the changelog to reflect reviewer. I'll need someone to cq+ this
> form me if it looks ok, as I don't have committer privileges.

You don't have to update the reviewer manually, the cq will do it (also, set cq? if you want cq :D). But let's try it!
Comment 10 Marcos Caceres 2021-09-02 18:55:06 PDT
(In reply to Tim Horton from comment #9) 
> You don't have to update the reviewer manually, the cq will do it (also, set
> cq? if you want cq :D). But let's try it!

Thanks, Tim! Sorry, I'm still new to the process of contributing 🐣
Comment 11 EWS 2021-09-02 19:22:00 PDT
Committed r281973 (241280@main): <https://commits.webkit.org/241280@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 437227 [details].
Comment 12 Aakash Jain 2021-09-03 06:09:29 PDT
(In reply to EWS from comment #11)
> All reviewed patches have been landed. Closing bug and clearing flags on attachment 437227 [details].
This seems to have broken these two tests on ios-wk2 (EWS indicated that failure on previous version of this patch). Please wait for EWS to finish and be green before landing/cq+ing patches.

- imported/w3c/web-platform-tests/web-share/canShare.https.html

History: https://results.webkit.org/?suite=layout-tests&test=imported%2Fw3c%2Fweb-platform-tests%2Fweb-share%2FcanShare.https.html

- imported/w3c/web-platform-tests/web-share/share-empty.https.html
History: https://results.webkit.org/?suite=layout-tests&test=imported%2Fw3c%2Fweb-platform-tests%2Fweb-share%2Fshare-empty.https.html
Comment 13 WebKit Commit Bot 2021-09-03 06:10:17 PDT
Re-opened since this is blocked by bug 229861
Comment 14 Marcos Caceres 2021-09-20 00:07:38 PDT
Created attachment 438641 [details]
Patch
Comment 15 EWS 2021-09-20 07:09:34 PDT
Committed r282745 (241882@main): <https://commits.webkit.org/241882@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 438641 [details].